<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__canfd__last__state__masks" kind="group">
    <compoundname>group_canfd_last_state_masks</compoundname>
    <title>Protocol Status Register (PSR) masks</title>
      <sectiondef kind="define">
      <memberdef id="group__group__canfd__last__state__masks_1gacd342625533d7082e9fd47688b738604" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_LEC_POS</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_LEC_Pos )</initializer>
        <briefdescription>
<para>Last Error Code position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="389" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="387" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1gab0c4831c1cc8ed74fd67600a27c6afd5" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_LEC_MASK</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_LEC_Msk )</initializer>
        <briefdescription>
<para>Last Error Code bit mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="390" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="388" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1gac8986040082ce694751e24b77b449e75" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_ACT_POS</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_ACT_Pos )</initializer>
        <briefdescription>
<para>Activity position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="391" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="389" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1ga8075668ffb81e781ecd1dd280f6c9c01" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_ACT_MASK</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_ACT_Msk )</initializer>
        <briefdescription>
<para>Activity bit mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="392" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="390" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1ga0d51ec009b2987c7558270e54666ca4a" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_EP</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_EP_Msk  )</initializer>
        <briefdescription>
<para>Error Passive. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="393" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="391" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1ga87db555358d69c3db60a3eaa46f37706" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_EW</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_EW_Msk  )</initializer>
        <briefdescription>
<para>Warning Status. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="394" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="392" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1gae4710bab3456b5cd178d0f6ce983bc48" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_BO</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_BO_Msk  )</initializer>
        <briefdescription>
<para>Bus_Off Status. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="395" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="393" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1gaf58fd33f6031328ee7ccfb8cdd0b2ed4" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_DLEC_POS</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_DLEC_Pos)</initializer>
        <briefdescription>
<para>Data Phase Last Error Code position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="396" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="394" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1gad0532d99f8a9d868bbb198f64c863252" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_DLEC_MASK</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_DLEC_Msk)</initializer>
        <briefdescription>
<para>Data Phase Last Error Code bit mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="397" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="395" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1ga21c8218edcaa3e1b8060e7d13fdf46bc" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_RESI</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_RESI_Msk)</initializer>
        <briefdescription>
<para>ESI flag of last received CAN FD Message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="398" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="396" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1ga669f35d1033f0c144f4935b3176f5f32" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_RBRS</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_RBRS_Msk)</initializer>
        <briefdescription>
<para>BRS flag of last received CAN FD Message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="399" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="397" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1ga2b6080fe8714f20a3fa755dce54f59e2" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_RFDF</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_RFDF_Msk)</initializer>
        <briefdescription>
<para>Received a CAN FD Message. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="400" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="398" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1ga593b1a270627792f4266bd71c2a8a792" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_PXE</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_PXE_Msk )</initializer>
        <briefdescription>
<para>Protocol Exception Event. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="401" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="399" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1ga9af5474f2cfc7cdb2655455b16f4e54c" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_TDCV_POS</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_TDCV_Pos)</initializer>
        <briefdescription>
<para>Transmitter Delay Compensation Value position. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="402" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="400" />
      </memberdef>
      <memberdef id="group__group__canfd__last__state__masks_1ga7c95e56f75cd97df21fc56dcae7d6bef" kind="define" prot="public" static="no">
        <name>CY_CANFD_PSR_TDCV_MASK</name>
        <initializer>(CANFD_CH_M_TTCAN_PSR_TDCV_Msk)</initializer>
        <briefdescription>
<para>Transmitter Delay Compensation Value bit mask. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" bodystart="403" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_canfd.h" line="401" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Masks and bit positions of the Protocol Status Register (PSR) fields. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>